"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
require("react");
const getSize = require("../../../core/utils/get-size/get-size.cjs");
const createVarsResolver = require("../../../core/styles-api/create-vars-resolver/create-vars-resolver.cjs");
require("clsx");
const useProps = require("../../../core/MantineProvider/use-props/use-props.cjs");
const useStyles = require("../../../core/styles-api/use-styles/use-styles.cjs");
const Box = require("../../../core/Box/Box.cjs");
const factory = require("../../../core/factory/factory.cjs");
const AvatarGroup_context = require("./AvatarGroup.context.cjs");
const Avatar_module_css = require("../Avatar.module.css.cjs");
const defaultProps = {};
const varsResolver = createVarsResolver.createVarsResolver((_, { spacing }) => ({
  group: {
    "--ag-spacing": getSize.getSpacing(spacing)
  }
}));
const AvatarGroup = factory.factory((_props, ref) => {
  const props = useProps.useProps("AvatarGroup", defaultProps, _props);
  const { classNames, className, style, styles, unstyled, vars, spacing, ...others } = props;
  const getStyles = useStyles.useStyles({
    name: "AvatarGroup",
    classes: Avatar_module_css.default,
    props,
    className,
    style,
    classNames,
    styles,
    unstyled,
    vars,
    varsResolver,
    rootSelector: "group"
  });
  return /* @__PURE__ */ jsxRuntime.jsx(AvatarGroup_context.AvatarGroupProvider, { value: true, children: /* @__PURE__ */ jsxRuntime.jsx(Box.Box, { ref, ...getStyles("group"), ...others }) });
});
AvatarGroup.classes = Avatar_module_css.default;
AvatarGroup.displayName = "@mantine/core/AvatarGroup";
exports.AvatarGroup = AvatarGroup;
